Summary: Install Navigator for Oracle
Name: oranavi
Version: 11.3.3
Release: 7.1%{?dist}
URL: http://www.miraclelinux.com
License: Commercial
ExclusiveOS: Linux
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: %{name}-%{version}.tar.bz2
Source1: oranavi-11.3.3-11gR2-manual-en.tar.gz
Source2: oranavi-11.3.3-11gR2-manual-ja.tar.gz
Patch0: oranavi-11.3.3-verchk_11gR2.patch
Patch1: oranavi-11.3.3-update-manual-11gR2.patch
Patch2: oranavi-11.3.3-axs4-sysctl.patch
Patch3: oranavi-11.3.3-unsetlang-AXS4.patch
Patch4: oranavi-11.3.3-modify-limits-file.patch
Patch5: oranavi-11.3.3-fix-Vietnamese-doc-charset-AXS4.patch
BuildRequires: python-tools
Requires: pygtk2 >= 1.99.11
Requires: pygtk2-libglade 
Requires: python2
Requires: sed
Requires: gawk
Requires: chkconfig
NoSource: 0

%description
Install Navigator for Oracle (abbreviated-name oranavi) is a GUI tool which
eases the installation process of Oracle. It also provides a functionality
to change automatic startup/shutdown of Oracle Database in a manageable way.

%prep
%setup -q -a 1 -a 2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m755 dbora $RPM_BUILD_ROOT/etc/rc.d/init.d/
echo "Categories=Application;Utility;X-Red-Hat-Extra;" >> %{name}.desktop
install -m644 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
install -m644 oraparam.ini $RPM_BUILD_ROOT%{_datadir}/%{name}
%ifarch ia64
    pushd doc/ia64/
%endif
%ifarch ppc ppc64
    pushd doc/ppc/
%endif
%ifarch x86_64
    pushd doc/x86_64/
%endif
%ifarch i686
    pushd doc/i386/
%endif

# junk files
find ./ -name "*~" | xargs rm -f
find ./ -name Thumbs.db | xargs rm -f
find ./ -name diff | xargs rm -f
# support DB10gR2 + DB11gR1
for dir in en ja zh_CN zh_TW ko vi_VN ; do
    mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir
    pushd $dir
    for file in `find . -type f -maxdepth 1`; do
        install -m644 $file $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir
    done
    for dir2 in `find . -type d|egrep -i "(11gdb112|11gdb111|10gdb102|10gdb201|oranavi)"`; do
        mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir/$dir2
        install -m644 $dir2/* $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir/$dir2
    done
    popd
done
popd

for dir in ja zh_CN zh_TW ko ; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/$dir
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/$dir/TrueType
    pushd $RPM_BUILD_ROOT%{_datadir}/fonts/$dir/TrueType
    if [ $dir = "ja" ] ; then
        ln -s /usr/share/fonts/vlgothic/VL-Gothic-Regular.ttf \
              kochi-gothic-subst.ttf
    elif [ $dir = "zh_CN" ] ; then
        ln -s /usr/share/fonts/cjkuni-uming/uming.ttc \
              zysong.ttf
    elif [ $dir = "zh_TW" ] ; then
        ln -s /usr/share/fonts/cjkuni-uming/uming.ttc \
              bsmi00lp.ttf
    elif [ $dir = "ko" ] ; then
        ln -s /usr/share/fonts/HamChorom/HANDotum.ttf \
              gulim.ttf
    fi
    popd
done

%clean
rm -fr $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
    /sbin/chkconfig --add dbora
fi

%preun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/dbora ]; then
        /etc/rc.d/init.d/dbora stop >& 2
    fi
    /sbin/chkconfig --del dbora
fi
if [ -d /usr/share/%{name} ] ; then
    rm -rf /usr/share/%{name}/*.pyc
fi

%files
%defattr(-,root,root)
%doc /usr/share/doc/%{name}-*/AUTHORS
/etc/rc.d/init.d/dbora
/usr/sbin/%{name}
%dir /usr/share/%{name}
/usr/share/locale/*/LC_MESSAGES/oranavi.mo
/usr/share/%{name}/*
/usr/share/pixmaps/%{name}/oranavi.png
/usr/share/pixmaps/%{name}/first.xpm
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
/usr/share/fonts/ja
/usr/share/fonts/zh_CN
/usr/share/fonts/zh_TW
/usr/share/fonts/ko

%changelog
* Fri Mar 21 2014 Alex Nguyen <alex.nguyen@asianux.com> 11.3.3-7.1%{?dist}
- Fix lang and charset for document in Vietnamese environment (AXBug#10117)

* Fri Aug 26 2011 Mika Kamei <mika.kamei@miraclelinux.com> 11.3.3-6%{?dist}
- fix bug for AXS4 (AXBug#9506)
  - fix "sysctl -p" error (Patch2)
  - can run oracle installer in Traditional Chinese and Korean (Patch3)
  - modify /etc/security/limits.conf (Patch4)
  - make symlink to ttc/ttf files to avoid garbling characters
  - fix "find" warning when building oranavi

* Wed May 12 2010 Tuananh Pham <anh.pt@asianux.com> 11.3.3-5%{?dist}
- modify desktop file to display oranavi icon in control panel, start menu, tray icon (AXBug#8289)

* Thu Mar 25 2010 Tuananh Pham <anh.pt@asianux.com> 11.3.3-4%{?dist}
- modify oranavi.desktop (add Name[vi] into list)
- modify oranavi.py (open vietnamese HTML file when start oranavi)
- support vietnamese (AXBug#8203)

* Tue Dec 15 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> 11.3.3-3%{?dist}
- add support oracle 11gDB-R2 and installation guide

* Tue May 26 2009 Hua Jie <jie.hua@asianux.com> 11.3.3-2%{?dist}
- update Chinese documents (AXBug #6101)

* Thu May 21 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> 11.3.3-1%{?dist}
- update tarball
 - merge patches
 - update doc/{en,ja} (AXBug#6195)

* Fri Apr 24 2009 Moon, SungHo <shmoon@haansoft.com> 11.3.2-4%{?dist}
- Patch3: change korean translation (AXbug #6125)

* Wed Apr 15 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> 11.3.2-3%{?dist}
- adjustment layout (Patch1, AXbug#6099)
- mount CD/DVD-ROM with read-only option (Patch2, AXbug#6123)

* Tue May 13 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 11.3.2-2AX
- add patch0 to fix run-order of the lnsrctl commnad in dbora script(AXbug#4294)

* Thu Dec 13 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 11.3.2-1AX
- add support oracle 11gDB-R1(x86_64) and installation guide
- rebuild new "tar.bz2" file
- previously added patch(AXbug#3747) is integrated into this release

* Thu Nov 21 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 11.3.1-2AX
- applied a bug fix which gets version from 11gDB-R1 DVD-ROM(AXbug#3747)

* Thu Oct 17 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 11.3.1-1AX
- add support oracle 11gDB-R1(ia32) and installation guide
- create new version package which is improved for maintainability of Asianux Server 3

* Wed Aug 29 2007 Shu Li <shuli@redflag-linux.com> 10.3-10AX
- add some Chinese translation (patch 102)

* Tue Aug 14 2007 Moon, SungHo <shmoon@miraclelinux.com> 10.3-9AX
- fix korean document install require (patch101, AXBugzillar#3486)

* Tue Jul 24 2007 Yuji Oishi <yoishi@miraclelinux.com> 10.3-8AX
- modify notes since DB10gR2 installation guide for RHEL5 has been published.
  (Patch10, bug#3345)

* Sat Jul 14 2007 Ryoji Kamei <kamei@miraclelinux.com> 10.3-7AX
- add notes (Patch6 to Patch9)
-   comment about XLC compiler for ppc (#3216)
-   set LANG=C when invoking oracle installer in ppc (#3217)
-   oracle help is in still legacy coding, separating patch will be safe

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 10.3-6AX
- added to oranavi-10.3-asianux-desktop_categories.patch

* Tue Jul 10 2007 Ryoji Kamei <kamei@miraclelinux.com> 10.3-5AX
- fix displaying English messages on Japanese environemnt (#3131, Patch3)
- fix errors in oranavi user's guide (#3132, Patch4)
- fix lacking Chinese document (#3136)
- fix desktop file location to Application/Utilities
- fix trivial things
-   copy images here and there to fix several broken links
-   remove junk files
-   remove x86-64 strings to use for ia64 and ppc. (Patch5)
-   change Group from System Environemnt/Base to Application/Databases. 
-     (See GROUPS file in rpm source code for general groups)

* Fri Jun  8 2007 Hiroshi Hara <hhara@miraclelinux.com> 10.3-4AX
- support only Oracle DB10gR2(Patch0, Patch1, bug#2905)
- fix xhost patch and detection of mountpoint for AXS3
  (Patch2, bug#2906)

* Thu May 10 2007 Ryoji Kamei <kamei@miraclelinux.com> 10.3-3AX
- just rebuild for AXS3
- add force option at ln for ia64

* Thu Jan  4 2007 Hiroshi Hara <hhara@miraclelinux.com> 10.3-2AX
- update Korean po file and oracle docs

* Tue Dec 19 2006 Hiroshi Hara <hhara@miraclelinux.com> 10.3-1AX
- update to oranavi-10.3 to select Oracle AS

* Thu Apr 18 2006 Hwanii Jung <shjung@haansoft.com> 10.2-26AX
- modify to support installing 'OracleDB R2 lite' which needs 
  JAVA_13HOME set as an environment variable

* Fri Mar 17 2006 Shiro Yamada <shiro@miraclelinux.com> 10.2-25AX
- modify kernel parameters when installing 10gDB-R2
- fix a typo in setting a custom NLS_LANG

* Mon Jan 1 2006 Hwanii Jung <shjung@haansoft.com> 10.2-24AX
- merge oranavi-10.2-10gdbr1_ia64.patch into the source
- add 'database' diretory to be recongnized in DVD media
- update korean docs

* Fri Nov 11 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-23AX
- update ko docs

* Wed Nov  2 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-22AX
- launch OUI installer with -ignoreSysPrereqs for IA64
- update documents for IA64

* Thu Sep  20 2005 Zhongyong Li <zylee@redflag-linux.com> 10.2-21AX
- add the tradition chinese documentation for IA64 system 
 
* Thu Aug  4 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-20AX
- update korean docs
- launch OUI in korean when installing 10gDB-R2
- use x86-64 docs for ppc arch

* Wed Jul 27 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-19AX
- check for cdrecorder as well as cdrom
- update screen shots

* Tue Jul 26 2005 Hua Jie <jiehua@redflag-linux.com> 10.2-18AX
- unset LANG in account oracle's profile file in Chinese and Korean

* Mon Jul 25 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-17AX
- add Korean help docs
- update Korean messages
- add missing image files

* Mon Jul 25 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-16AX
- fix NLS_LANG window under Korean
- split CLASSPATH into pieces
- add --force option to ignore certified version checks
- add documents for 10gDB-R2

* Wed Jul 13 2005 Jun YOSHIDA <jun@miraclelinux.com> 10.2-15AX
- fixed some bugs in English documents.
- correct typo in Korean po file.

* Tue Jul 12 2005 Hua Jie <jiehua@redflag-linux.com> 10.2-14AX
- add documents of Traditional Chinese
- modify the NLS_LANG value to the correct one

* Fri Jul  8 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-13AX
- reject uncertified versions

* Wed Jun 29 2005 XiaoYu Zhou <xyzhou@redflag-linux.com> 10.2-12AX
- translate on oline help doc to chinese
- add traditional chinese

* Wed Jun 29 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-11AX
- display an error dialog when run by non-root user
- unset LANGUAGE var

* Wed Jun 15 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-10AX
- use -paramFile only for 10gDB R1
- chown only the relevant dir

* Tue Jun 14 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-9AX
- export variables in /etc/sysconfig/httpd

* Tue Jun  7 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-8AX
- fix CLASSPATH
- update docs

* Tue May 31 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-7AX
- use orapam.ini for installing oracle10g
- use Japanese_Japan.AL32UTF8 as NLS_LANG

* Wed May 11 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-6AX
- change CD-ROM directory to /media/cdrom
- let it check permission for OUI execution first
- update Korean messages

* Thu Apr 28 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-5AX
- let it uses English Installer when LANG=ko_KR

* Mon Apr 19 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-4AX
- fixed quirky link messages

* Thu Mar 31 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-3AX
- add zh_CN and ko_KR messages
- fix a bug for setting default environment variables

* Tue Mar 29 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-2AX
- add Korean locale support
- make it work with firefox

* Tue Mar 22 2005 Shiro Yamada <shiro@miraclelinux.com>
- initial packaging

